Funk / Soul, Rock
The CarArctic Monkeys
Worldwide 2022 (Domino WIGLP455X)Винил. Пластинка; LP; Альбом; Лимитированное издание
Rock
Streethawk: A SeductionDestroyer
US 2010 (Merge Records MRG373)Винил. Пластинка; LP; Альбом; Переиздание
Start HereThe Gloria Record
UK 2021 (Big Scary Monsters BSM295V)Винил. Пластинка; LP; Альбом; Лимитированное издание
Pop, Rock
Really Stupid / We Found A Way To The SunThe Primitives
UK 1986 (Lazy Records lazy02)Винил. Пластинка; 7"; 45 RPM; Сингл
Way Behind MeThe Primitives
UK 1988 (RCA PB 42209E)Винил. Пластинка; 7"; 45 RPM; Сингл
OnEchobelly
UK 1995 (Rhythm King FAUV 6 CD)Компакт-диск. CD; Альбом
Electronic, Pop, Rock
Blood On TapRoman Citizen
UK 2016 (Beth Shalom Records BSR013)Кассета. Кассета; EP; Лимитированное издание
These Things Move In ThreesMumm-Ra
Europe 2007 (Columbia bexhill19)Компакт-диск. CD; Альбом
The Best Of R.E.M.R.E.M.
UK (I.R.S. Records DMIRH 1)Компакт-диск. CD; Сборник; Repress
Crooked Rain Crooked RainPavement
Europe 2020 (Matador OLE0790)Винил. Пластинка; LP; Альбом; Переиздание
Silverfish With Scrambled EggsSilverfish
UK 1992 (Creation Records CRE 118T)Винил. Пластинка; 12"; 45 RPM; EP
Electronic, Rock
Black RiversBlack Rivers
Europe 2015 (Ignition Records (2) IGNCD62)Компакт-диск. CD; Альбом
Sam's TownThe Killers
Europe 2006 (Vertigo 1706722)Компакт-диск. CD; Альбом; Special Edition; Стерео
Flip Your WigHüsker Dü
UK 1985 (SST Records SST 055)Винил. Пластинка; LP; Альбом
This Is Dance Floor NumerologyNorth Of America
Europe 2001 (Rewika Records REW020)Компакт-диск. CD; Альбом
Across The Pennines Volume 4
UK 2008 (Across The Pennines none)CDr; Сборник
Music Of The SpheresIan Brown
UK 2002 (Polydor 589 126-2)Компакт-диск. CD; Альбом; Special Edition; Стерео
Calling The DogsCitiZen
US 2023 (Run For Cover Records (2) RFC264)Винил. Пластинка; LP; Альбом; Лимитированное издание
DomesticaCursive
US 2025 (Run For Cover Records (2) RFC305)Винил. Пластинка; LP; Альбом; Переиздание
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
US (SST Records SST-CD-055)Компакт-диск. CD; Альбом; Переиздание; Repress
Life In Your Glass WorldCitiZen
US 2021 (Run For Cover Records (2) RFC212)Винил. Пластинка; LP; Альбом; Лимитированное издание
PunisherPhoebe Bridgers
UK & US 2021 (Dead Oceans DOC200)Кассета. Кассета; Альбом; Стерео
Summer In AbaddonPinback
US 2004 (Touch And Go TG237)Винил. Пластинка; LP; Альбом
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.